- name: Git clone stable repo on HEAD
  when: logging
  ansible.builtin.git:
    repo: "https://github.com/opensearch-project/opensearch-devops.git"
    version: "{{ git_ref }}"
    dest: /tmp/helm_repo/opensearch

- name: Deploy opensearch chart from local path
  community.kubernetes.helm:
    name: oss
    chart_ref: /tmp/helm_repo/opensearch/Helm/opensearch
    release_namespace: "{{ logging_namespace }}"
    create_namespace: true

#Name:              opensearch-cluster-master
#Namespace:         k8s-svc-logging
#Labels:            app=opensearch-cluster-master
#                   app.kubernetes.io/managed-by=Helm
#                   chart=opensearch
#                   heritage=Helm
#                   release=oss
#Annotations:       meta.helm.sh/release-name: oss
#                   meta.helm.sh/release-namespace: k8s-svc-logging
#Selector:          app=opensearch-cluster-master,chart=opensearch,release=oss
#Type:              ClusterIP
#IP:                10.97.175.179
#Port:              http  9200/TCP
#TargetPort:        9200/TCP
#Endpoints:         10.244.3.89:9200,10.244.4.95:9200,10.244.4.96:9200
#Port:              transport  9300/TCP
#TargetPort:        9300/TCP
#Endpoints:         10.244.3.89:9300,10.244.4.95:9300,10.244.4.96:9300
#Session Affinity:  None
#Events:            <none>



- name: set nodeport service
  community.kubernetes.k8s_service:
    type: NodePort
    name: opensearch-cluster-master
    namespace: "{{ logging_namespace }}"
    selector:
      app: opensearch-cluster-master
      chart: opensearch
      release: oss
    ports:
    - port: 9200
      name: http
      protocol: TCP
      nodePort: 30920
    - port: 9300
      name: transport
      protocol: TCP
      nodePort: 30930
